import React from "react";
import "./formgroup.scss";
import { LabelAttr } from "../label";
declare type FormProps = {
    div: {
        className: string;
        [x: string]: any;
    };
    label: LabelAttr;
    textBox: {
        name: string;
        value?: string;
        className?: string;
        onChange?: (e: any) => void;
        onBlur?: (e: any) => void;
        onFocus?: (e: any) => void;
        [x: string]: any;
    };
    multiline?: boolean;
    no_of_lines?: number;
    events?: {
        [x: string]: (e: any) => any;
    };
    validator?: object;
    target?: object;
    error?: object;
};
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<FormProps & React.RefAttributes<any>>>;
export default _default;
