import React from "react";
import { LabelAttr } from "../label";
import { Moment } from "moment";
import { DatePickerProps } from "antd/lib/date-picker";
import "./algaeh-date-handler.scss";
declare type DateHandlerProps = {
    div?: {
        className: string;
        [x: string]: any;
    };
    label?: LabelAttr;
    textBox: DatePickerProps & {
        name: string;
    };
    events: {
        [x: string]: (e: any) => any;
    };
    maxDate?: string | Moment;
    minDate?: string | Moment;
    type: string;
    size?: string;
    showTime?: boolean;
    others?: any;
    formatDate?: any;
    validator?: any;
    gregorianDate?: any;
    mode?: string;
    updateInternally?: boolean;
    error?: any;
};
declare function AlgaehDateHandler({ div, label, textBox, events, maxDate, minDate, type, size, showTime, others, formatDate, validator, gregorianDate, mode, updateInternally, error }: DateHandlerProps): JSX.Element;
declare const _default: React.MemoExoticComponent<typeof AlgaehDateHandler>;
export default _default;
